# Uses of Class
org.apache.lucene.util.hnsw.IncrementalHnswGraphMerger

Packages that use IncrementalHnswGraphMerger
Package
Description
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of IncrementalHnswGraphMerger in org.apache.lucene.util.hnsw

  Subclasses of IncrementalHnswGraphMerger in org.apache.lucene.util.hnsw
  Modifier and Type
  Class
  Description
  `class`
  `ConcurrentHnswMerger`
  This merger merges graph in a concurrent manner, by using `HnswConcurrentMergeBuilder`
  Methods in org.apache.lucene.util.hnsw that return IncrementalHnswGraphMerger
  Modifier and Type
  Method
  Description
  `IncrementalHnswGraphMerger`
  IncrementalHnswGraphMerger.`addReader(KnnVectorsReader reader, MergeState.DocMap docMap, Bits liveDocs)`
  Adds a reader to the graph merger if it meets the following criteria: 1.